data {
    int N;
    int k;
}
parameters {
    real<lower = 0.0, upper = 1.0> Pd;  //  Discrimination Probability
}
transformed parameters {
    real Pc;                            //  Correct Response Probability
     Pc = Pd + (1.0 - Pd) * (1/3.0);
}
model {
    Pd ~ uniform(0.0, 1.0);
    k ~ binomial(N, Pc);
}
